## Struct formatting_context

boost::log::sinks::basic_formatting_sink_frontend::formatting_context

## Synopsis

    // In header: <boost/log/sinks/basic_sink_frontend.hpp>

    struct formatting_context {
      // construct/copy/destruct
      formatting_context();
      formatting_context(unsigned int, std::locale const &,
                         formatter_type const &);

      // public data members
      const unsigned int m_Version;  // Object version.
      string_type m_FormattedRecord;  // Formatted log record storage.
      stream_type m_FormattingStream;  // Formatting stream.
      formatter_type m_Formatter;  // Formatter functor.
    };

## Description

### `formatting_context` public construct/copy/destruct

1.     formatting_context();

2.     formatting_context(unsigned int version, std::locale const & loc,
                          formatter_type const & formatter);